cURL
curl --request GET \
--url http://studio.premai.io/api/v1/public/datasets/{datasetId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://studio.premai.io/api/v1/public/datasets/{datasetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://studio.premai.io/api/v1/public/datasets/{datasetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "processing",
"datapoints_count": 123,
"created_at": "<string>",
"updated_at": "<string>",
"snapshots": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>"
}
],
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>"
}Datasets API
Get Dataset
Check dataset status and datapoint counts.
GET
/
api
/
v1
/
public
/
datasets
/
{datasetId}
cURL
curl --request GET \
--url http://studio.premai.io/api/v1/public/datasets/{datasetId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://studio.premai.io/api/v1/public/datasets/{datasetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://studio.premai.io/api/v1/public/datasets/{datasetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "processing",
"datapoints_count": 123,
"created_at": "<string>",
"updated_at": "<string>",
"snapshots": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>"
}
],
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Dataset details
Available options:
processing, completed, failed List of snapshots associated with the dataset
Show child attributes
Show child attributes
List of labels associated with the dataset
Show child attributes
Show child attributes
Was this page helpful?